package org.apache.nutch.protocol.https;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.methods.GetMethod;
import org.apache.nutch.protocol.Content;
import org.apache.nutch.protocol.ProtocolException;
import org.apache.nutch.protocol.Protocol;

import java.util.Properties;

/**
 * Handles HTTPS protocol.
 * Does not handle authentication. 
 * 
 */
public class HTTPS implements Protocol{

  public Content getContent( String url ) throws ProtocolException {
    try{
      HttpClient httpclient = new HttpClient();
      GetMethod httpget = new GetMethod( url );
      httpclient.executeMethod(httpget);
      return new Content(url, url, httpget.getResponseBody(), "text/html", new Properties() );

    }catch(Exception e ){
      throw new ProtocolException( e );
    }
  }

}
